Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class TreePlusImage

    java.lang.Object
      org.richfaces.resource.AbstractJava2DUserResource
          org.richfaces.renderkit.html.images.TreePlusImage

All Implemented Interfaces:
  org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

Direct Known Subclasses:
  TreeMinusImage

    public class TreePlusImage

extends org.richfaces.resource.AbstractJava2DUserResource
implements org.richfaces.resource.StateHolderResource

Author:
  Nick Belaevski

Field Summary
`protected Integer` | `controlColorValue`
`protected Integer` | `generalColorValue`
`protected Integer` | `trimColorValue`

Constructor Summary
`TreePlusImage()`

Method Summary
`protected void` | `drawFrame(Graphics2D g2d)`
`protected void` | `drawHorizontalCrossLine(Graphics2D g2d)`
`protected void` | `drawVerticalCrossLine(Graphics2D g2d)`
`protected Integer` | `getColorParameter(String property)`
`void` | `init()`
`boolean` | `isTransient()`
`void` | `paint(Graphics2D g2d)`
`void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
`void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource
`getDimension, getImageType, getLastModified, getResponseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### generalColorValue

    protected Integer generalColorValue

### controlColorValue

    protected Integer controlColorValue

### trimColorValue

    protected Integer trimColorValue

Constructor Detail

### TreePlusImage

    public TreePlusImage()

Method Detail

### init

    public void init()

### getColorParameter

    protected Integer getColorParameter(String property)

### drawFrame

    protected void drawFrame(Graphics2D g2d)

### paint

    public void paint(Graphics2D g2d)

  Specified by:
    `paint` in interface `org.richfaces.resource.Java2DUserResource`

### drawVerticalCrossLine

    protected void drawVerticalCrossLine(Graphics2D g2d)

### drawHorizontalCrossLine

    protected void drawHorizontalCrossLine(Graphics2D g2d)

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           DataOutput dataOutput)
                    throws IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `IOException`

### readState

    public void readState(javax.faces.context.FacesContext context,
                          DataInput dataInput)
                   throws IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `IOException`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `org.richfaces.resource.StateHolderResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.